Changeset 3237

Show
Ignore:
Timestamp:
10/31/05 00:01:58 (3 years ago)
Author:
morris
Message:

Move to new libzanka interface

Fixes #63
Touches on #1, #62

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • wire/trunk/Makefile.in

    r2865 r3237  
    2020                target=`echo $@ | sed s/-recursive//`; \ 
    2121                echo "Making $$target in $$subdir"; \ 
    22                 (cd $$subdir && $(MAKE) $$target); \ 
     22                (cd $$subdir && $(MAKE) $$target) || exit 1; \ 
    2323        done 
    2424 
     
    5858        rm -rf wire-$(WR_VERSION) 
    5959 
     60auto: autoconf autoheader autoclean 
     61         
     62autoconf: 
     63        @echo "Making $@ in ." 
     64 
     65        autoconf 
     66         
     67autoheader: 
     68        @echo "Making $@ in ." 
     69 
     70        autoheader 
     71 
    6072clean: clean-recursive 
    6173        @echo "Making $@ in ." 
  • wire/trunk/config.h.in

    r2865 r3237  
    6363#undef HAVE_SYS_TYPES_H 
    6464 
     65/* Define to 1 if you have the <sys/vfs.h> header file. */ 
     66#undef HAVE_SYS_VFS_H 
     67 
    6568/* Define to 1 if you have the <termcap.h> header file. */ 
    6669#undef HAVE_TERMCAP_H 
  • wire/trunk/configure

    r2865 r3237  
    24762476 
    24772477# Check for warnings 
     2478echo "$as_me:$LINENO: checking for warning flags" >&5 
     2479echo $ECHO_N "checking for warning flags... $ECHO_C" >&6 
    24782480# Check whether --enable-warnings or --disable-warnings was given. 
    24792481if test "${enable_warnings+set}" = set; then 
     
    24822484fi; 
    24832485 
     2486 
     2487 
    24842488if test -n "$enable_warnings"; then 
    2485         CFLAGS="$CFLAGS -W -Wall -Wno-unknown-pragmas -Wno-unused-parameter -Wsign-compare -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls" 
     2489 
     2490 
     2491        OLD_CFLAGS="$CFLAGS" 
     2492        CFLAGS="$CFLAGS -Whax" 
     2493 
     2494        if test "$cross_compiling" = yes; then 
     2495  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2496See \`config.log' for more details." >&5 
     2497echo "$as_me: error: cannot run test program while cross compiling 
     2498See \`config.log' for more details." >&2;} 
     2499   { (exit 1); exit 1; }; } 
     2500else 
     2501  cat >conftest.$ac_ext <<_ACEOF 
     2502/* confdefs.h.  */ 
     2503_ACEOF 
     2504cat confdefs.h >>conftest.$ac_ext 
     2505cat >>conftest.$ac_ext <<_ACEOF 
     2506/* end confdefs.h.  */ 
     2507 
     2508                int main(void) { 
     2509                        return 0; 
     2510                } 
     2511 
     2512_ACEOF 
     2513rm -f conftest$ac_exeext 
     2514if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2515  (eval $ac_link) 2>&5 
     2516  ac_status=$? 
     2517  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2518  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2519  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2520  (eval $ac_try) 2>&5 
     2521  ac_status=$? 
     2522  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2523  (exit $ac_status); }; }; then 
     2524 
     2525                WARNFLAGS="$WARNFLAGS -Whax" 
     2526 
     2527else 
     2528  echo "$as_me: program exited with status $ac_status" >&5 
     2529echo "$as_me: failed program was:" >&5 
     2530sed 's/^/| /' conftest.$ac_ext >&5 
     2531 
     2532( exit $ac_status ) 
     2533 
     2534                CFLAGS="$OLD_CFLAGS" 
     2535 
     2536fi 
     2537rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2538fi 
     2539 
     2540 
     2541        OLD_CFLAGS="$CFLAGS" 
     2542        CFLAGS="$CFLAGS -W" 
     2543 
     2544        if test "$cross_compiling" = yes; then 
     2545  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2546See \`config.log' for more details." >&5 
     2547echo "$as_me: error: cannot run test program while cross compiling 
     2548See \`config.log' for more details." >&2;} 
     2549   { (exit 1); exit 1; }; } 
     2550else 
     2551  cat >conftest.$ac_ext <<_ACEOF 
     2552/* confdefs.h.  */ 
     2553_ACEOF 
     2554cat confdefs.h >>conftest.$ac_ext 
     2555cat >>conftest.$ac_ext <<_ACEOF 
     2556/* end confdefs.h.  */ 
     2557 
     2558                int main(void) { 
     2559                        return 0; 
     2560                } 
     2561 
     2562_ACEOF 
     2563rm -f conftest$ac_exeext 
     2564if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2565  (eval $ac_link) 2>&5 
     2566  ac_status=$? 
     2567  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2568  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2569  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2570  (eval $ac_try) 2>&5 
     2571  ac_status=$? 
     2572  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2573  (exit $ac_status); }; }; then 
     2574 
     2575                WARNFLAGS="$WARNFLAGS -W" 
     2576 
     2577else 
     2578  echo "$as_me: program exited with status $ac_status" >&5 
     2579echo "$as_me: failed program was:" >&5 
     2580sed 's/^/| /' conftest.$ac_ext >&5 
     2581 
     2582( exit $ac_status ) 
     2583 
     2584                CFLAGS="$OLD_CFLAGS" 
     2585 
     2586fi 
     2587rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2588fi 
     2589 
     2590 
     2591        OLD_CFLAGS="$CFLAGS" 
     2592        CFLAGS="$CFLAGS -Wall" 
     2593 
     2594        if test "$cross_compiling" = yes; then 
     2595  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2596See \`config.log' for more details." >&5 
     2597echo "$as_me: error: cannot run test program while cross compiling 
     2598See \`config.log' for more details." >&2;} 
     2599   { (exit 1); exit 1; }; } 
     2600else 
     2601  cat >conftest.$ac_ext <<_ACEOF 
     2602/* confdefs.h.  */ 
     2603_ACEOF 
     2604cat confdefs.h >>conftest.$ac_ext 
     2605cat >>conftest.$ac_ext <<_ACEOF 
     2606/* end confdefs.h.  */ 
     2607 
     2608                int main(void) { 
     2609                        return 0; 
     2610                } 
     2611 
     2612_ACEOF 
     2613rm -f conftest$ac_exeext 
     2614if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2615  (eval $ac_link) 2>&5 
     2616  ac_status=$? 
     2617  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2618  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2619  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2620  (eval $ac_try) 2>&5 
     2621  ac_status=$? 
     2622  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2623  (exit $ac_status); }; }; then 
     2624 
     2625                WARNFLAGS="$WARNFLAGS -Wall" 
     2626 
     2627else 
     2628  echo "$as_me: program exited with status $ac_status" >&5 
     2629echo "$as_me: failed program was:" >&5 
     2630sed 's/^/| /' conftest.$ac_ext >&5 
     2631 
     2632( exit $ac_status ) 
     2633 
     2634                CFLAGS="$OLD_CFLAGS" 
     2635 
     2636fi 
     2637rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2638fi 
     2639 
     2640 
     2641        OLD_CFLAGS="$CFLAGS" 
     2642        CFLAGS="$CFLAGS -Wno-unknown-pragmas" 
     2643 
     2644        if test "$cross_compiling" = yes; then 
     2645  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2646See \`config.log' for more details." >&5 
     2647echo "$as_me: error: cannot run test program while cross compiling 
     2648See \`config.log' for more details." >&2;} 
     2649   { (exit 1); exit 1; }; } 
     2650else 
     2651  cat >conftest.$ac_ext <<_ACEOF 
     2652/* confdefs.h.  */ 
     2653_ACEOF 
     2654cat confdefs.h >>conftest.$ac_ext 
     2655cat >>conftest.$ac_ext <<_ACEOF 
     2656/* end confdefs.h.  */ 
     2657 
     2658                int main(void) { 
     2659                        return 0; 
     2660                } 
     2661 
     2662_ACEOF 
     2663rm -f conftest$ac_exeext 
     2664if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2665  (eval $ac_link) 2>&5 
     2666  ac_status=$? 
     2667  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2668  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2669  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2670  (eval $ac_try) 2>&5 
     2671  ac_status=$? 
     2672  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2673  (exit $ac_status); }; }; then 
     2674 
     2675                WARNFLAGS="$WARNFLAGS -Wno-unknown-pragmas" 
     2676 
     2677else 
     2678  echo "$as_me: program exited with status $ac_status" >&5 
     2679echo "$as_me: failed program was:" >&5 
     2680sed 's/^/| /' conftest.$ac_ext >&5 
     2681 
     2682( exit $ac_status ) 
     2683 
     2684                CFLAGS="$OLD_CFLAGS" 
     2685 
     2686fi 
     2687rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2688fi 
     2689 
     2690 
     2691        OLD_CFLAGS="$CFLAGS" 
     2692        CFLAGS="$CFLAGS -Wno-unused-parameter" 
     2693 
     2694        if test "$cross_compiling" = yes; then 
     2695  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2696See \`config.log' for more details." >&5 
     2697echo "$as_me: error: cannot run test program while cross compiling 
     2698See \`config.log' for more details." >&2;} 
     2699   { (exit 1); exit 1; }; } 
     2700else 
     2701  cat >conftest.$ac_ext <<_ACEOF 
     2702/* confdefs.h.  */ 
     2703_ACEOF 
     2704cat confdefs.h >>conftest.$ac_ext 
     2705cat >>conftest.$ac_ext <<_ACEOF 
     2706/* end confdefs.h.  */ 
     2707 
     2708                int main(void) { 
     2709                        return 0; 
     2710                } 
     2711 
     2712_ACEOF 
     2713rm -f conftest$ac_exeext 
     2714if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2715  (eval $ac_link) 2>&5 
     2716  ac_status=$? 
     2717  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2718  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2719  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2720  (eval $ac_try) 2>&5 
     2721  ac_status=$? 
     2722  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2723  (exit $ac_status); }; }; then 
     2724 
     2725                WARNFLAGS="$WARNFLAGS -Wno-unused-parameter" 
     2726 
     2727else 
     2728  echo "$as_me: program exited with status $ac_status" >&5 
     2729echo "$as_me: failed program was:" >&5 
     2730sed 's/^/| /' conftest.$ac_ext >&5 
     2731 
     2732( exit $ac_status ) 
     2733 
     2734                CFLAGS="$OLD_CFLAGS" 
     2735 
     2736fi 
     2737rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2738fi 
     2739 
     2740 
     2741        OLD_CFLAGS="$CFLAGS" 
     2742        CFLAGS="$CFLAGS -Wsign-compare" 
     2743 
     2744        if test "$cross_compiling" = yes; then 
     2745  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2746See \`config.log' for more details." >&5 
     2747echo "$as_me: error: cannot run test program while cross compiling 
     2748See \`config.log' for more details." >&2;} 
     2749   { (exit 1); exit 1; }; } 
     2750else 
     2751  cat >conftest.$ac_ext <<_ACEOF 
     2752/* confdefs.h.  */ 
     2753_ACEOF 
     2754cat confdefs.h >>conftest.$ac_ext 
     2755cat >>conftest.$ac_ext <<_ACEOF 
     2756/* end confdefs.h.  */ 
     2757 
     2758                int main(void) { 
     2759                        return 0; 
     2760                } 
     2761 
     2762_ACEOF 
     2763rm -f conftest$ac_exeext 
     2764if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2765  (eval $ac_link) 2>&5 
     2766  ac_status=$? 
     2767  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2768  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2769  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2770  (eval $ac_try) 2>&5 
     2771  ac_status=$? 
     2772  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2773  (exit $ac_status); }; }; then 
     2774 
     2775                WARNFLAGS="$WARNFLAGS -Wsign-compare" 
     2776 
     2777else 
     2778  echo "$as_me: program exited with status $ac_status" >&5 
     2779echo "$as_me: failed program was:" >&5 
     2780sed 's/^/| /' conftest.$ac_ext >&5 
     2781 
     2782( exit $ac_status ) 
     2783 
     2784                CFLAGS="$OLD_CFLAGS" 
     2785 
     2786fi 
     2787rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2788fi 
     2789 
     2790 
     2791        OLD_CFLAGS="$CFLAGS" 
     2792        CFLAGS="$CFLAGS -Wstrict-prototypes" 
     2793 
     2794        if test "$cross_compiling" = yes; then 
     2795  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2796See \`config.log' for more details." >&5 
     2797echo "$as_me: error: cannot run test program while cross compiling 
     2798See \`config.log' for more details." >&2;} 
     2799   { (exit 1); exit 1; }; } 
     2800else 
     2801  cat >conftest.$ac_ext <<_ACEOF 
     2802/* confdefs.h.  */ 
     2803_ACEOF 
     2804cat confdefs.h >>conftest.$ac_ext 
     2805cat >>conftest.$ac_ext <<_ACEOF 
     2806/* end confdefs.h.  */ 
     2807 
     2808                int main(void) { 
     2809                        return 0; 
     2810                } 
     2811 
     2812_ACEOF 
     2813rm -f conftest$ac_exeext 
     2814if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2815  (eval $ac_link) 2>&5 
     2816  ac_status=$? 
     2817  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2818  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2819  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2820  (eval $ac_try) 2>&5 
     2821  ac_status=$? 
     2822  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2823  (exit $ac_status); }; }; then 
     2824 
     2825                WARNFLAGS="$WARNFLAGS -Wstrict-prototypes" 
     2826 
     2827else 
     2828  echo "$as_me: program exited with status $ac_status" >&5 
     2829echo "$as_me: failed program was:" >&5 
     2830sed 's/^/| /' conftest.$ac_ext >&5 
     2831 
     2832( exit $ac_status ) 
     2833 
     2834                CFLAGS="$OLD_CFLAGS" 
     2835 
     2836fi 
     2837rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2838fi 
     2839 
     2840 
     2841        OLD_CFLAGS="$CFLAGS" 
     2842        CFLAGS="$CFLAGS -Wmissing-prototypes" 
     2843 
     2844        if test "$cross_compiling" = yes; then 
     2845  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2846See \`config.log' for more details." >&5 
     2847echo "$as_me: error: cannot run test program while cross compiling 
     2848See \`config.log' for more details." >&2;} 
     2849   { (exit 1); exit 1; }; } 
     2850else 
     2851  cat >conftest.$ac_ext <<_ACEOF 
     2852/* confdefs.h.  */ 
     2853_ACEOF 
     2854cat confdefs.h >>conftest.$ac_ext 
     2855cat >>conftest.$ac_ext <<_ACEOF 
     2856/* end confdefs.h.  */ 
     2857 
     2858                int main(void) { 
     2859                        return 0; 
     2860                } 
     2861 
     2862_ACEOF 
     2863rm -f conftest$ac_exeext 
     2864if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2865  (eval $ac_link) 2>&5 
     2866  ac_status=$? 
     2867  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2868  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2869  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2870  (eval $ac_try) 2>&5 
     2871  ac_status=$? 
     2872  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2873  (exit $ac_status); }; }; then 
     2874 
     2875                WARNFLAGS="$WARNFLAGS -Wmissing-prototypes" 
     2876 
     2877else 
     2878  echo "$as_me: program exited with status $ac_status" >&5 
     2879echo "$as_me: failed program was:" >&5 
     2880sed 's/^/| /' conftest.$ac_ext >&5 
     2881 
     2882( exit $ac_status ) 
     2883 
     2884                CFLAGS="$OLD_CFLAGS" 
     2885 
     2886fi 
     2887rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2888fi 
     2889 
     2890 
     2891        OLD_CFLAGS="$CFLAGS" 
     2892        CFLAGS="$CFLAGS -Wmissing-declarations" 
     2893 
     2894        if test "$cross_compiling" = yes; then 
     2895  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2896See \`config.log' for more details." >&5 
     2897echo "$as_me: error: cannot run test program while cross compiling 
     2898See \`config.log' for more details." >&2;} 
     2899   { (exit 1); exit 1; }; } 
     2900else 
     2901  cat >conftest.$ac_ext <<_ACEOF 
     2902/* confdefs.h.  */ 
     2903_ACEOF 
     2904cat confdefs.h >>conftest.$ac_ext 
     2905cat >>conftest.$ac_ext <<_ACEOF 
     2906/* end confdefs.h.  */ 
     2907 
     2908                int main(void) { 
     2909                        return 0; 
     2910                } 
     2911 
     2912_ACEOF 
     2913rm -f conftest$ac_exeext 
     2914if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2915  (eval $ac_link) 2>&5 
     2916  ac_status=$? 
     2917  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2918  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2919  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2920  (eval $ac_try) 2>&5 
     2921  ac_status=$? 
     2922  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2923  (exit $ac_status); }; }; then 
     2924 
     2925                WARNFLAGS="$WARNFLAGS -Wmissing-declarations" 
     2926 
     2927else 
     2928  echo "$as_me: program exited with status $ac_status" >&5 
     2929echo "$as_me: failed program was:" >&5 
     2930sed 's/^/| /' conftest.$ac_ext >&5 
     2931 
     2932( exit $ac_status ) 
     2933 
     2934                CFLAGS="$OLD_CFLAGS" 
     2935 
     2936fi 
     2937rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2938fi 
     2939 
     2940 
     2941        OLD_CFLAGS="$CFLAGS" 
     2942        CFLAGS="$CFLAGS -Wredundant-decls" 
     2943 
     2944        if test "$cross_compiling" = yes; then 
     2945  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     2946See \`config.log' for more details." >&5 
     2947echo "$as_me: error: cannot run test program while cross compiling 
     2948See \`config.log' for more details." >&2;} 
     2949   { (exit 1); exit 1; }; } 
     2950else 
     2951  cat >conftest.$ac_ext <<_ACEOF 
     2952/* confdefs.h.  */ 
     2953_ACEOF 
     2954cat confdefs.h >>conftest.$ac_ext 
     2955cat >>conftest.$ac_ext <<_ACEOF 
     2956/* end confdefs.h.  */ 
     2957 
     2958                int main(void) { 
     2959                        return 0; 
     2960                } 
     2961 
     2962_ACEOF 
     2963rm -f conftest$ac_exeext 
     2964if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2965  (eval $ac_link) 2>&5 
     2966  ac_status=$? 
     2967  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2968  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     2969  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2970  (eval $ac_try) 2>&5 
     2971  ac_status=$? 
     2972  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2973  (exit $ac_status); }; }; then 
     2974 
     2975                WARNFLAGS="$WARNFLAGS -Wredundant-decls" 
     2976 
     2977else 
     2978  echo "$as_me: program exited with status $ac_status" >&5 
     2979echo "$as_me: failed program was:" >&5 
     2980sed 's/^/| /' conftest.$ac_ext >&5 
     2981 
     2982( exit $ac_status ) 
     2983 
     2984                CFLAGS="$OLD_CFLAGS" 
     2985 
     2986fi 
     2987rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     2988fi 
     2989 
     2990 
     2991        echo "$as_me:$LINENO: result: $WARNFLAGS" >&5 
     2992echo "${ECHO_T}$WARNFLAGS" >&6 
     2993else 
     2994        echo "$as_me:$LINENO: result: none" >&5 
     2995echo "${ECHO_T}none" >&6 
    24862996fi 
    24872997 
     
    25343044 
    25353045# Check for glibc (Linux) 
    2536  
    25373046ac_ext=c 
    25383047ac_cpp='$CPP $CPPFLAGS' 
     
    39604469If you installed OpenSSL into a non-standard directory, please run: 
    39614470 
    3962     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     4471    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    39634472echo "$as_me: error: could not locate OpenSSL 
    39644473 
    39654474If you installed OpenSSL into a non-standard directory, please run: 
    39664475 
    3967     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     4476    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    39684477   { (exit 1); exit 1; }; } 
    39694478 
     
    39794488If you installed OpenSSL into a non-standard directory, please run: 
    39804489 
    3981     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     4490    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    39824491echo "$as_me: error: could not locate OpenSSL 
    39834492 
    39844493If you installed OpenSSL into a non-standard directory, please run: 
    39854494 
    3986     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     4495    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    39874496   { (exit 1); exit 1; }; } 
    39884497 
     
    42104719If you installed OpenSSL into a non-standard directory, please run: 
    42114720 
    4212     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     4721    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    42134722echo "$as_me: error: could not locate OpenSSL 
    42144723 
    42154724If you installed OpenSSL into a non-standard directory, please run: 
    42164725 
    4217     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     4726    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    42184727   { (exit 1); exit 1; }; } 
    42194728 
     
    42294738If you installed OpenSSL into a non-standard directory, please run: 
    42304739 
    4231     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     4740    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    42324741echo "$as_me: error: could not locate OpenSSL 
    42334742 
    42344743If you installed OpenSSL into a non-standard directory, please run: 
    42354744 
    4236     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     4745    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    42374746   { (exit 1); exit 1; }; } 
    42384747 
     
    45545063If you installed iconv into a non-standard directory, please run: 
    45555064 
    4556     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     5065    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    45575066echo "$as_me: error: could not locate iconv 
    45585067 
    45595068If you installed iconv into a non-standard directory, please run: 
    45605069 
    4561     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     5070    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    45625071   { (exit 1); exit 1; }; } 
    45635072 
     
    45765085If you installed iconv into a non-standard directory, please run: 
    45775086 
    4578     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     5087    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    45795088echo "$as_me: error: could not locate iconv 
    45805089 
    45815090If you installed iconv into a non-standard directory, please run: 
    45825091 
    4583     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     5092    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    45845093   { (exit 1); exit 1; }; } 
    45855094 
     
    54705979If you installed readline into a non-standard directory, please run: 
    54715980 
    5472     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     5981    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    54735982echo "$as_me: error: could not locate readline 
    54745983 
    54755984If you installed readline into a non-standard directory, please run: 
    54765985 
    5477     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     5986    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    54785987   { (exit 1); exit 1; }; } 
    54795988 
     
    54895998If you installed readline into a non-standard directory, please run: 
    54905999 
    5491     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     6000    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    54926001echo "$as_me: error: could not locate readline 
    54936002 
    54946003If you installed readline into a non-standard directory, please run: 
    54956004 
    5496     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     6005    CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    54976006   { (exit 1); exit 1; }; } 
    54986007 
     
    60326541 
    60336542 
     6543 
    60346544for ac_header in  \ 
     6545        sys/vfs.h \ 
    60356546        termcap.h \ 
    60366547        termios.h \ 
     
    67427253          ac_config_files="$ac_config_files wire/Makefile" 
    67437254 
     7255 
     7256# Configure libzanka 
     7257ac_configure_args="$ac_configure_args --enable-ssl --enable-termcap --enable-iconv" 
    67447258 
    67457259 
     
    80528566fi 
    80538567 
     8568 
     8569 
     8570####################################################################### 
     8571# Print summary 
     8572 
     8573A=$(eval echo ${bindir});       A=$(eval echo ${A}) 
     8574B=$(eval echo ${mandir});       B=$(eval echo ${B}) 
     8575 
     8576echo "" 
     8577echo "wire has been configured with the following options:" 
     8578 
     8579echo "" 
     8580echo "              Binary: ${A}/wire" 
     8581echo "         Manual page: ${B}/man1/wire.1" 
     8582 
     8583echo "" 
     8584echo "                Host: ${host}" 
     8585echo "            Compiler: ${CC}" 
     8586echo "      Compiler flags: ${CFLAGS}" 
     8587echo "  Preprocessor flags: ${CPPFLAGS}" 
     8588echo "        Linker flags: ${LDFLAGS}" 
     8589echo "           Libraries: ${LIBS}" 
     8590 
     8591echo "" 
  • wire/trunk/configure.in

    r2865 r3237  
    2323If you installed $1 into a non-standard directory, please run: 
    2424 
    25     env CPPFLAGS="-I/path/to/include" LDFLAGS="-L/path/to/lib" ./configure]) 
     25    CPPFLAGS="-I/path/to/include" LDFLAGS="-L/path/to/lib" ./configure]) 
    2626]) 
    2727 
     
    4545 
    4646# Check for warnings 
     47AC_MSG_CHECKING([for warning flags]) 
    4748AC_ARG_ENABLE([warnings], AC_HELP_STRING([--enable-warnings], [enable warnings])) 
    4849 
     50AC_DEFUN([WR_WARNING_TRY], [ 
     51        OLD_CFLAGS="$CFLAGS" 
     52        CFLAGS="$CFLAGS $1" 
     53 
     54        AC_TRY_RUN([ 
     55                int main(void) { 
     56                        return 0; 
     57                } 
     58        ], [ 
     59                WARNFLAGS="$WARNFLAGS $1" 
     60        ], [ 
     61                CFLAGS="$OLD_CFLAGS" 
     62        ]) 
     63]) 
     64 
    4965if test -n "$enable_warnings"; then 
    50         CFLAGS="$CFLAGS -W -Wall -Wno-unknown-pragmas -Wno-unused-parameter -Wsign-compare -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls" 
     66        WR_WARNING_TRY([-W]) 
     67        WR_WARNING_TRY([-Wall]) 
     68        WR_WARNING_TRY([-Wno-unknown-pragmas]) 
     69        WR_WARNING_TRY([-Wno-unused-parameter]) 
     70        WR_WARNING_TRY([-Wsign-compare]) 
     71        WR_WARNING_TRY([-Wstrict-prototypes]) 
     72        WR_WARNING_TRY([-Wmissing-prototypes]) 
     73        WR_WARNING_TRY([-Wmissing-declarations]) 
     74        WR_WARNING_TRY([-Wredundant-decls]) 
     75 
     76        AC_MSG_RESULT([$WARNFLAGS]) 
     77else 
     78        AC_MSG_RESULT([none]) 
    5179fi 
    5280 
     
    263291 
    264292AC_CHECK_HEADERS([ \ 
     293        sys/vfs.h \ 
    265294        termcap.h \ 
    266295        termios.h \ 
     
    285314AC_CONFIG_FILES([Makefile]) 
    286315AC_CONFIG_FILES([wire/Makefile]) 
     316 
     317# Configure libzanka 
     318ac_configure_args="$ac_configure_args --enable-ssl --enable-termcap --enable-iconv" 
    287319AC_CONFIG_SUBDIRS([libzanka]) 
    288320 
    289321AC_OUTPUT 
     322 
     323 
     324####################################################################### 
     325# Print summary 
     326 
     327A=$(eval echo ${bindir});       A=$(eval echo ${A}) 
     328B=$(eval echo ${mandir});       B=$(eval echo ${B}) 
     329 
     330echo "" 
     331echo "wire has been configured with the following options:" 
     332 
     333echo "" 
     334echo "              Binary: ${A}/wire" 
     335echo "         Manual page: ${B}/man1/wire.1" 
     336 
     337echo "" 
     338echo "                Host: ${host}" 
     339echo "            Compiler: ${CC}" 
     340echo "      Compiler flags: ${CFLAGS}" 
     341echo "  Preprocessor flags: ${CPPFLAGS}" 
     342echo "        Linker flags: ${LDFLAGS}" 
     343echo "           Libraries: ${LIBS}" 
     344 
     345echo "" 
  • wire/trunk/man/wire.1

    r1665 r3237  
    2525.\" USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
    2626.\" 
    27 .Dd Dec 18, 2004 
     27.Dd Oct 28, 2005 
    2828.Dt WIRE 1 
    2929.Os 
     
    5757.Nm wire 
    5858will log extra debug messages to the chat window. 
    59 .It Fl c Ar charset 
    60 Sets the character set that 
    61 .Nm wire 
    62 will convert all text from the server to. This string is passed directly to the 
    63 .Xr iconv 3 
    64 character conversion system. The default value is 
    65 .Sq ISO-8859-1 . 
    6659.It Fl h 
    6760Displays a brief help message and exits. 
     
    7770for next. The 
    7871.Nm close 
    79 command closes the current window. Note that closing the main window is the same as exiting the program
     72command closes the current window, or, if in the main window, disconnects from the server
    8073.Sh COMMANDS 
    8174The following commands can be given to 
     
    10194.Pp 
    10295Example: /clear 
     96.It Nm charset Ar charset 
     97Sets the character set that 
     98.Nm wire 
     99will convert all text from the server to. This string is passed directly to the 
     100.Xr iconv 3 
     101character conversion system. The default value is 
     102.Sq ISO-8859-1 . 
     103.Pp 
     104Example: /charset UTF-8 
    103105.It Nm clearnews 
    104106Clear the news. 
  • wire/trunk/wire/Makefile.in

    r2865 r3237  
    77top_srcdir      = @top_srcdir@ 
    88 
    9 OBJECTS         = client.o commands.o files.o ignores.o main.o term.o transfers.o \ 
     9OBJECTS         = client.o commands.o files.o ignores.o main.o terminal.o transfers.o \ 
    1010                          users.o version.o windows.o 
    11 HEADERS         = client.h commands.h files.h ignores.h main.h term.h transfers.h \ 
     11HEADERS         = client.h commands.h files.h ignores.h main.h terminal.h transfers.h \ 
    1212                          users.h version.h windows.h 
    1313 
  • wire/trunk/wire/client.c

    r3153 r3237  
    2929#include "config.h" 
    3030 
    31 #include <sys/types.h> 
    32 #include <sys/param.h> 
    33 #include <sys/time.h> 
    34 #include <stdio.h> 
    35 #include <stdlib.h> 
    3631#include <string.h> 
    37 #include <unistd.h> 
    38 #include <ctype.h> 
    3932#include <errno.h> 
    40 #include <fcntl.h> 
    41 #include <sys/socket.h> 
    42 #include <netinet/in.h> 
    43 #include <netinet/tcp.h> 
    44 #include <arpa/inet.h> 
    45 #include <netdb.h> 
    46 #include <openssl/err.h> 
    47 #include <openssl/sha.h> 
    48 #include <openssl/ssl.h> 
    49 #include <readline/readline.h> 
    5033#include <zanka/zanka.h> 
    5134 
     
    6043#include "windows.h" 
    6144 
    62 static void                                             wr_msg_200(za_array_t *); 
    63 static void                                             wr_msg_201(za_array_t *); 
    64 static void                                             wr_msg_300(za_array_t *); 
    65 static void                                             wr_msg_301(za_array_t *); 
    66 static void                                             wr_msg_302(za_array_t *); 
    67 static void                                             wr_msg_303(za_array_t *); 
    68 static void                                             wr_msg_304(za_array_t *); 
    69 static void                                             wr_msg_305(za_array_t *); 
    70 static void                                             wr_msg_306(za_array_t *); 
    71 static void                                             wr_msg_307(za_array_t *); 
    72 static void                                             wr_msg_308(za_array_t *); 
    73 static void                                             wr_msg_309(za_array_t *); 
    74 static void                                             wr_msg_310(za_array_t *); 
    75 static void                                             wr_msg_311(za_array_t *); 
    76 static void                                             wr_msg_320(za_array_t *); 
    77 static void                                             wr_msg_321(za_array_t *); 
    78 static void                                             wr_msg_322(za_array_t *); 
    79 static void                                             wr_msg_331(za_array_t *); 
    80 static void                                             wr_msg_341(za_array_t *); 
    81 static void                                             wr_msg_400(za_array_t *); 
    82 static void                                             wr_msg_401(za_array_t *); 
    83 static void                                             wr_msg_402(za_array_t *); 
    84 static void                                             wr_msg_410(za_array_t *); 
    85 static void                                             wr_msg_411(za_array_t *); 
    86 static void                                             wr_msg_420(za_array_t *); 
    87 static void                                             wr_msg_421(za_array_t *); 
    88  
    89  
    90 char                                                    wr_host[MAXHOSTNAMELEN]; 
    91 int                                                             wr_port; 
    92 char                                                    wr_server[WR_SERVER_SIZE]; 
    93 double                                                  wr_protocol; 
    94 char                                                    wr_nick[WR_NICK_SIZE]; 
    95 char                                                    wr_status[WR_STATUS_SIZE]; 
    96 char                                                    wr_login[WR_LOGIN_SIZE]; 
    97 char                                                    wr_password[WR_PASSWORD_SIZE]; 
    98 char                                                    wr_password_sha[ZA_SHA1_SIZE]; 
    99  
    100 static const char                               wr_icon[] = 
     45static int                                                      wr_runloop_server_callback(za_socket_t *); 
     46 
     47static int                                                      wr_parse_message(const char *); 
     48 
     49static void                                                     wr_msg_200(za_array_t *); 
     50static void                                                     wr_msg_201(za_array_t *); 
     51static void                                                     wr_msg_300(za_array_t *); 
     52static void                                                     wr_msg_301(za_array_t *); 
     53static void                                                     wr_msg_302(za_array_t *); 
     54static void                                                     wr_msg_303(za_array_t *); 
     55static void                                                     wr_msg_304(za_array_t *); 
     56static void                                                     wr_msg_305(za_array_t *); 
     57static void                                                     wr_msg_306(za_array_t *); 
     58static void                                                     wr_msg_307(za_array_t *); 
     59static void                                                     wr_msg_308(za_array_t *); 
     60static void                                                     wr_msg_309(za_array_t *); 
     61static void                                                     wr_msg_310(za_array_t *); 
     62static void                                                     wr_msg_311(za_array_t *); 
     63static void                                                     wr_msg_320(za_array_t *); 
     64static void                                                     wr_msg_321(za_array_t *); 
     65static void                                                     wr_msg_322(za_array_t *); 
     66static void                                                     wr_msg_331(za_array_t *); 
     67static void                                                     wr_msg_341(za_array_t *); 
     68static void                                                     wr_msg_400(za_array_t *); 
     69static void                                                     wr_msg_401(za_array_t *); 
     70static void                                                     wr_msg_402(za_array_t *); 
     71static void                                                     wr_msg_410(za_array_t *); 
     72static void                                                     wr_msg_411(za_array_t *); 
     73static void                                                     wr_msg_420(za_array_t *); 
     74static void                                                     wr_msg_421(za_array_t *); 
     75 
     76 
     77static char                                                     *wr_buffer; 
     78static unsigned int                                     wr_buffer_size; 
     79static unsigned int                                     wr_buffer_offset; 
     80 
     81za_string_encoding_t                            *wr_client_string_encoding; 
     82za_string_encoding_t                            *wr_server_string_encoding; 
     83 
     84za_string_t                                                     *wr_host; 
     85unsigned int                                            wr_port; 
     86 
     87za_string_t                                                     *wr_server; 
     88double                                                          wr_protocol; 
     89 
     90za_string_t                                                     *wr_nick; 
     91za_string_t                                                     *wr_status; 
     92za_string_t                                                     *wr_login; 
     93za_string_t